<h1 class="mat-headline">{{ 'simple.register' | translate }}</h1>
<form [formGroup]="form" (ngSubmit)="onSubmit()">
	<mat-form-field appearance="outline">
		<mat-label>{{ 'simple.username' | translate }}</mat-label>
		<input matInput autofocus formControlName="username" autocomplete="username" maxlength="100" autocorrect="off" autocapitalize="none" />
		<mat-error>{{ getUsernameErrors() }}</mat-error>
		<mat-hint>{{ form.get('username')?.value.length }}/50</mat-hint>
	</mat-form-field>
	<mat-form-field appearance="outline">
		<mat-label>{{ 'simple.displayname' | translate }}</mat-label>
		<input matInput formControlName="displayname" autocomplete="displayname" maxlength="100" autocorrect="off" autocapitalize="none" />
		<mat-error>{{ getDisplaynameErrors() }}</mat-error>
		<mat-hint>{{ form.get('displayname')?.value.length }}/50</mat-hint>
	</mat-form-field>
	<mat-form-field appearance="outline">
		<mat-label>{{ 'simple.password' | translate }}</mat-label>
		<input
			matInput
			formControlName="password"
			type="password"
			autocomplete="password"
			maxlength="50"
			autocorrect="off"
			autocapitalize="none"
		/>
		<mat-error>{{ getPasswordErrors() }}</mat-error>
		<mat-hint>{{ form.get('password')?.value.length }}/50</mat-hint>
	</mat-form-field>
	<mat-checkbox formControlName="offlineMode" color="primary">
		{{ 'simple.offlineMode' | translate }}
	</mat-checkbox>
	<button mat-raised-button type="submit" class="submit" color="primary" [disabled]="form.invalid">{{
		'simple.register' | translate
	}}</button>
	<div>
		<button mat-button routerLink="/authentication/login">{{ 'simple.login' | translate }}</button>
	</div>
</form>
